import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    FullTimeEmployee emp = new FullTimeEmployee();
    emp.setId(1);
    emp.setName("Tom");
    emp.setStartDate(new java.util.Date());
    emp.setPensionContribution(123);
    em.persist(emp);
    

    PartTimeEmployee emp1 = new PartTimeEmployee();
    emp1.setId(2);
    emp1.setName("Tom");
    emp1.setStartDate(new java.util.Date());
    emp1.setHourlyRate(123);
    em.persist(emp1);

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}